      program L_C_L
c                                                                               
c  This program detemines the lifting condensation level                            
c  given surface parameters.the lcl is obtained by                               
c  raising a parcel of air from the surface to a level                           
c  where it reachs saturation.the technique used is                         
c  based on the conservation of moist static energy.
c
c  definition of surface parameters (pressure,temperature
c  and specific humidity)                                                    
c
      p0        = 1011.0                                                                 
      t0        = 296.0                                                                 
      q0        = 0.0170                                                                 
c                                                                               
c  Subroutine LCL determines the lcl.                                            
c                                                                               
      call LCL (p0,t0,q0,plcl,zlcl,tlcl,qlcl,n)                                  
      write (6,1000)n                                                             
      write (6,1001)                                                              
      write (6,1002)tlcl,plcl,zlcl,qlcl                                           
1000  format(10x,'number of itterations = ',i5,/)                               
1001  format(6x,'tlcl',4x,'plcl',5x,'zlcl',4x,'qlcl',/)                         
1002  format(3x,3f8.1,f8.4)                                                     
      stop                                                                      
      end                                                                       
